Data Download API
This API provides access to different resources in the form of compressed csv.gz file downloads. The available resources are:
- Campaign Performance
- Message Segment Usage
- Campaign Link Performance
- Member Details
- Member Subscription Status
- Member Term Accepts
- Custom Member Data
- Communities
- Community Membership
Each resource requires authentication using the provided session token. The API returns a time-limited URL which redirects to a file download, and this redirect URL is valid for only 15 minutes. You should not cache this URL as it will change constantly. If you wish to download JSON versions of these files, you may replace csv with json in the provided download URLs.
File Update Frequency
Files are generated every 24 hours as a snapshot of the current account state. New files will be available everyday at 4:00 UTC.
Resource: Campaign Performance
Endpoint: <https://dl.community.com/download/v1/files/{client_id}/campaigns.csv.gz>
Download a gzip csv of Campaign Performance data for the Leader (client_id).
Headers
Authorization: Bearer <token>
Example Request
curl --location --request GET 'https://dl.community.com/download/v1/files/{client_id}/campaigns.csv.gz' \
--header 'Authorization: Bearer <token>'
Example Response
"CAMPAIGN_ID","LEADER_ID","BILLING_ENTITY_LEADER_ID","CHANNEL","SENT_AT","TEST_CAMPAIGN","TEXT","USAGE_CHANNEL","MEDIA_URL","IS_SCHEDULED","IS_FILTERED","RECIPIENT_COUNT","RESPONSE_COUNT","REPLIED_COUNT","STOP_COUNT","UNIT_COUNT","SEGMENT_COUNT","CAMPAIGN_NAME"
...
Resource: Message Segment Usage
Endpoint: <https://dl.community.com/download/v1/files/{client_id}/outbound_message_type_usage.csv.gz/segment-based-subscription>
Download a gzip csv of Message Segment Usage data for the Leader (client_id).
Headers
Authorization: Bearer <token>
Example Request
curl --location --request GET 'https://dl.community.com/download/v1/files/{client_id}/outbound_message_type_usage.csv.gz/segment-based-subscription' \
--header 'Authorization: Bearer <token>'
Example Response
"LEADER_ID","BILLING_ENTITY_LEADER_ID","DATE_DAY","USAGE_CHANNEL","OUTBOUND_MESSAGE_TYPE","MESSAGE_COUNT","SEGMENT_COUNT","UNIT_COUNT"
...
Resource: Campaign Link Performance
Endpoint: <https://dl.community.com/download/v1/files/{client_id}/campaign_links.csv.gz>
Download a gzip csv summary of Campaigns that contained links, for the Leader (client_id).
Headers
Authorization: Bearer <token>
Example Request
curl --location --request GET 'https://dl.community.com/download/v1/files/{client_id}/campaign_links.csv.gz' \
--header 'Authorization: Bearer <token>'
Example Response
"CAMPAIGN_ID","LEADER_ID","LINK_TYPE","LINK_URL","RECIPIENT_COUNT","HIT_COUNT"
...
Resource: Member Details
Endpoint: <https://dl.community.com/download/v1/files/{client_id}/members.csv.gz>
Download a gzip csv of Member Details for the Leader (client_id).
Headers
Authorization: Bearer <token>
Example Request
curl --location --request GET 'https://dl.community.com/download/v1/files/{client_id}/members.csv.gz' \
--header 'Authorization: Bearer <token>'
Example Response
"MEMBER_ID","LEADER_ID","PHONE_NUMBER","SUBSCRIPTION_STATE","FIRST_NAME","LAST_NAME","EMAIL","DATE_OF_BIRTH","GENDER","CITY","STATE","STATE_CODE","COUNTRY","COUNTRY_CODE","DEVICE_TYPE","FIRST_ACTIVATED_AT"
...
Resource: Member Subscription Status
Endpoint: <https://dl.community.com/download/v1/files/{client_id}/member_state_changes.csv.gz>
Download a gzip csv of Member Subscription Status data for the Leader (client_id).
Headers
Authorization: Bearer <token>
Example Request
curl --location --request GET 'https://dl.community.com/download/v1/files/{client_id}/member_state_changes.csv.gz' \
--header 'Authorization: Bearer <token>'
Example Response
"MEMBER_ID","LEADER_ID","SUBSCRIPTION_STATE","STATE_CHANGED_AT"
...
Resource: Member Term Accepts
Endpoint: <https://dl.community.com/download/v1/files/{client_id}/member_term_accepts.csv.gz>
Download a gzip csv of Member Term Accept data for the Leader (client_id) recorded over the last 90 days.
Headers
Authorization: Bearer <token>
Example Request
curl --location --request GET 'https://dl.community.com/download/v1/files/{client_id}/member_term_accepts.csv.gz' \
--header 'Authorization: Bearer <token>'
Example Response
"MEMBER_ID","LEADER_ID","TERM_ID","MEMBER_EMAIL","MEMBER_COUNTRY_CODE","WAS_CHECKED","WAS_PRE_CHECKED","ACCEPTED_AT","LEADER_NAME","PARENT_LEADER_NAME","ULTIMATE_PARENT_LEADER_NAME","TERM_LANGUAGE","CUSTOM_SIGNUP_LANGUAGE","ADDITIONAL_CHECKBOX_LANGUAGE","ETL_LOADED_AT"
...
Resource: Custom Member Data
Endpoint: <https://dl.community.com/download/v1/files/{client_id}/custom_member_data.csv.gz>
Download a gzip csv of Custom Member Data for the Leader (client_id).
Headers
Authorization: Bearer <token>
Example Request
curl --location --request GET 'https://dl.community.com/download/v1/files/{client_id}/custom_member_data.csv.gz' \
--header 'Authorization: Bearer <token>'
Example Response
"MEMBER_ID","LEADER_ID","CUSTOM_FIELD_NAME","CUSTOM_FIELD_VALUE"
...
Resource: Communities
Endpoint: <https://dl.community.com/download/v1/files/{client_id}/communities.csv.gz>
Download a gzip csv summary of Communities (community_id) and their current member counts, for the Leader (client_id).
Headers
Authorization: Bearer <token>
Example Request
curl --location --request GET 'https://dl.community.com/download/v1/files/{client_id}/communities.csv.gz' \
--header 'Authorization: Bearer <token>'
Example Response
"COMMUNITY_ID","COMMUNITY_NAME","LEADER_ID","MEMBER_COUNT"
...
Resource: Member Communities
Endpoint: <https://dl.community.com/download/v1/files/{client_id}/member_communities.csv.gz>
Download a gzip csv of Members (member_id) and any Communities (community_id) they currently belong to. The timestamp the member first joined a Community is also provided.
Headers
Authorization: Bearer <token>
Example Request
curl --location --request GET 'https://dl.community.com/download/v1/files/{client_id}/member_communities.csv.gz' \
--header 'Authorization: Bearer <token>'
Example Response
"COMMUNITY_ID","COMMUNITY_NAME","LEADER_ID","MEMBER_ID","JOINED_AT"
...